{$I UOpt.INC}				(* Standard Conditional-Defines *)
unit Unode;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, ExtCtrls, Forms, Buttons, Mask;

type
  TFKnoten = class(TForm)
    BBTCancel: TBitBtn;
    BBTOK: TBitBtn;
    EditName: TEdit;
    CheckBoxZl: TCheckBox;
    BitBtn1: TBitBtn;
    CheckBoxName: TCheckBox;
    CheckBoxQuelle: TCheckBox;
    EditZL: TEdit;
    procedure FormShow(Sender: TObject);
    procedure CheckBoxZlClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    bZLInitialPresent	: BOOLEAN;
    wDefaultZL		: WORD;
    wDefaultNoZL	: WORD;
  public
  published
    PROPERTY FDefaultZL: WORD WRITE wDefaultZL;
    PROPERTY FDefaultNoZL: WORD WRITE wDefaultNoZL;
  { Public declarations }
 end;

VAR
  FKnoten : TFKnoten;

implementation

{$R *.DFM}

(*------------------------------------------------------*)
procedure TFKnoten.FormShow(Sender: TObject);

VAR
  lVal : LONGINT;
  iCode: INTEGER;

begin
Val( EditZL.Text, lVal, iCode );
bZLInitialPresent	:= lVal <> wDefaultNoZL;
EditZL.Visible		:= bZLInitialPresent;
CheckBoxZL.Checked	:= bZLInitialPresent;
end;

(*------------------------------------------------------*)
procedure TFKnoten.CheckBoxZlClick(Sender: TObject);

begin
EditZL.Visible := CheckBoxZL.Checked;
IF NOT(CheckBoxZL.Checked) THEN
  EditZL.Text := IntToStr(wDefaultNoZL)
 ELSE
  IF NOT(bZLInitialPresent) THEN
    EditZL.Text := IntToStr(wDefaultZL);
end;


(*------------------------------------------------------*)
procedure TFKnoten.FormCreate(Sender: TObject);

begin
wDefaultZL	:= 0;
wDefaultNoZL	:= 0;
end;

(*------------------------------------------------------*)
end.
