{$I UOpt.INC}				(* Standard Conditional-Defines *)
unit UOptions;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons;

type
  TFormOptions = class(TForm)
    PageControl1: TPageControl;
    TabSheetCANPref: TTabSheet;
    EditLineZL: TEdit;
    Y: TLabel;
    BitBtnOK: TBitBtn;
    BitBtnCancel: TBitBtn;
    Label1: TLabel;
    TabSheetLayout: TTabSheet;
    Label2: TLabel;
    Label3: TLabel;
    EditZLTerm: TEdit;
    Label4: TLabel;
    LabelSizeX: TLabel;
    EditSizeX: TEdit;
    EditSizeY: TEdit;
    TabSheetFonts: TTabSheet;
    FontDialog1: TFontDialog;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    EditNoZL: TEdit;
    Label8: TLabel;
    LabelFontClip: TLabel;
    LabelFontDraw: TLabel;
    CheckBoxShowNames: TCheckBox;
    procedure LabelFontDrawClick(Sender: TObject);
    procedure LabelFontClipClick(Sender: TObject);
  private
    PROCEDURE SetFont( Index: INTEGER; aFont: TFont );
    FUNCTION GetFont( Index: INTEGER ): TFont;
    { Private-Deklarationen }
  public
    PROPERTY FFontClip: TFont INDEX 1 READ GetFont WRITE SetFont;
    PROPERTY FFontDraw: TFont INDEX 2 READ GetFont WRITE SetFont;
    { Public-Deklarationen }
    end;

var
  FormOptions: TFormOptions;

implementation

{$R *.DFM}

(*------------------------------------------------------*)
PROCEDURE TFormOptions.SetFont( Index: INTEGER; aFont: TFont );

BEGIN
CASE Index OF
  1: BEGIN
     LabelFontClip.Font        := aFont;
     LabelFontClip.Caption     := aFont.Name;
     END;
  2: BEGIN
     LabelFontDraw.Font        := aFont;
     LabelFontDraw.Caption     := aFont.Name;
     END;
  END;
END;

(*------------------------------------------------------*)
FUNCTION TFormOptions.GetFont( Index: INTEGER ): TFont;

BEGIN
CASE Index OF
  1: Result := LabelFontClip.Font;
  2: Result := LabelFontDraw.Font;
 ELSE
  Result := nil;
  END;
END;

(*------------------------------------------------------*)
procedure TFormOptions.LabelFontDrawClick(Sender: TObject);

begin
FontDialog1.Font                 := LabelFontDraw.Font;
FontDialog1.Execute;
LabelFontDraw.Font               := FontDialog1.Font;
LabelFontDraw.Caption            := LabelFontDraw.Font.Name;
end;

(*------------------------------------------------------*)
procedure TFormOptions.LabelFontClipClick(Sender: TObject);

begin
FontDialog1.Font                 := LabelFontClip.Font;
FontDialog1.Execute;
LabelFontClip.Font               := FontDialog1.Font;
LabelFontClip.Caption            := LabelFontClip.Font.Name;
end;

(*++++++++++++++++++++++++++++++++++++++++++++++++++++++*)
end.
